<h2>Sign up</h2>
<%= form_for(resource, as: resource_name, url: registration_path(resource_name)) do |f| %>
  <%= render "devise/shared/error_messages", resource: resource %>
  <div class="form-group col-md-4 mt-3">
    <div class="field form-floating mb-3">
      <%= f.text_field :first_name, class: "form-control", placeholder: :first_name %>
      <%= f.label :first_name %>
    </div>
    <div class="field form-floating mb-3">
      <%= f.text_field :middle_name, class: "form-control", placeholder: :middle_name %>
      <%= f.label :middle_name, "Middle Name (Optional)" %>
    </div>
    <div class="field form-floating mb-3">
      <%= f.text_field :last_name, class: "form-control", placeholder: :last_name %>
      <%= f.label :last_name %>
    </div>
    <div class="field form-floating mb-3">
      <%= f.date_field :dob, class: "form-control", placeholder: :dob %>
      <%= f.label :dob, "Date of Birth" %>
    </div>
    <div class="field form-floating mb-3">
      <%= f.email_field :email, autocomplete: "email", class: "form-control", placeholder: :email %>
      <%= f.label :email %>
    </div>
    <div class="field form-floating mb-3">
      <%= f.password_field :password, autocomplete: "new-password", class: "form-control", placeholder: :password %>
      <%= f.label :password %>
      <% if @minimum_password_length %>
        <em>(<%= @minimum_password_length %> characters minimum)</em>
      <% end %>
    </div>
    <div class="field form-floating mb-3">
      <%= f.password_field :password_confirmation, autocomplete: "new-password", class: "form-control", placeholder: :password_confirmation %>
      <%= f.label :password_confirmation %>
    </div>
    <div class="actions">
      <%= f.submit "Sign up", class: "btn btn-success btn-lg mt-3" %>
    </div>
  </div>
<% end %>
